﻿using System;
using System.Collections.ObjectModel;
using Telerik.Windows.Controls.GanttView;

namespace GanttCustomTooltip
{
    public class SoftwarePlanning : ObservableCollection<IGanttTask>
    {
        public SoftwarePlanning()
        {
            var scopeTaskChild1 = new GanttTask(new DateTime(2012, 1, 3, 8, 0, 0), new DateTime(2012, 1, 3, 12, 0, 0), "Determine project scope") { Description = "Description: Determine project scope" };

            var scopeTaskChild2 = new GanttTask(new DateTime(2012, 1, 3, 13, 0, 0), new DateTime(2012, 1, 4, 12, 0, 0), "Secure project sponsorship") { Description = "Description: Secure project sponsorship" };
            var scopeTaskChild3 = new GanttTask(new DateTime(2012, 1, 4, 13, 0, 0), new DateTime(2012, 1, 5, 12, 0, 0), "Define preliminary resources") { Description = "Description: Define preliminary resources" };
            var scopeTaskChild4 = new GanttTask(new DateTime(2012, 1, 5, 13, 0, 0), new DateTime(2012, 1, 6, 0, 0, 0), "Secure core resources") { Description = "Description: Secure core resources" };
            var scopeTaskChild5 = new GanttTask(new DateTime(2012, 1, 6, 0, 0, 0), new DateTime(2012, 1, 6, 0, 0, 0), "Scope complete") { Description = "Description: Scope complete" };

            scopeTaskChild2.Dependencies.Add(new Dependency { FromTask = scopeTaskChild1 });
            scopeTaskChild3.Dependencies.Add(new Dependency { FromTask = scopeTaskChild2 });
            scopeTaskChild4.Dependencies.Add(new Dependency { FromTask = scopeTaskChild3 });
            scopeTaskChild5.Dependencies.Add(new Dependency { FromTask = scopeTaskChild4 });

            var scopeTask = new GanttTask(new DateTime(2012, 1, 3, 8, 0, 0), new DateTime(2012, 1, 6), "Scope")
            {
                Children = { scopeTaskChild1, scopeTaskChild2, scopeTaskChild3, scopeTaskChild4, scopeTaskChild5 },
                Description = "Description: Determine project scope"
            };
            this.Add(scopeTask);
        }
    }
}
