﻿using System.Collections.ObjectModel;
using System.Linq;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.GanttView;
using Telerik.Windows.Controls.Scheduling;

namespace GanttCustomTooltip
{
    class ViewModel : ViewModelBase
    {
        public ViewModel()
        {
            this.tasks = new SoftwarePlanning();

            var start = this.tasks.Min(t => t.Start).Date;
            var end = this.tasks.Max(t => t.End).Date;

            this.visibleTime = new DateRange(start, end);
        }

        private ObservableCollection<IGanttTask> tasks;
        public ObservableCollection<IGanttTask> Tasks { get { return this.tasks; } }

        private DateRange visibleTime;
        public DateRange VisibleTime
        {
            get { return this.visibleTime; }
            set
            {
                if (this.visibleTime != value)
                {
                    this.visibleTime = value;
                    this.OnPropertyChanged(() => this.VisibleTime);
                }
            }
        }
    }
}
